> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List customers

> Retrieve existing customers.



## OpenAPI

````yaml get /v2/customers
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v2/customers:
    get:
      tags:
        - Customers
      summary: List customers
      description: Retrieve existing customers.
      operationId: listCustomers
      parameters:
        - schema:
            type: number
            exclusiveMinimum: 0
            maximum: 100
            default: 50
            description: Maximum number of items to return (1-100).
            example: 50
          required: false
          description: Maximum number of items to return (1-100).
          name: limit
          in: query
        - schema:
            type: string
            description: >-
              Opaque cursor returned in the previous response's `next_cursor`.
              Omit to fetch the first page.
          required: false
          description: >-
            Opaque cursor returned in the previous response's `next_cursor`.
            Omit to fetch the first page.
          name: cursor
          in: query
        - schema:
            anyOf:
              - type: boolean
              - type: string
                enum:
                  - 'true'
                  - 'false'
            default: false
            description: Set to `true` to include `total` in the response.
            example: false
          required: false
          description: Set to `true` to include `total` in the response.
          name: include_total
          in: query
        - schema:
            type: string
            enum:
              - asc
              - desc
            default: desc
            description: Sort direction.
            example: desc
          required: false
          description: Sort direction.
          name: order
          in: query
        - schema:
            type: string
            enum:
              - created_at
              - updated_at
            description: Field used to sort the results.
          required: false
          description: Field used to sort the results.
          name: sort
          in: query
        - schema:
            type: string
          required: false
          name: name
          in: query
        - schema:
            type: string
          required: false
          name: name__not
          in: query
        - schema:
            type: string
          required: false
          name: name__isNull
          in: query
        - schema:
            type: string
          required: false
          name: name__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: name__equals
          in: query
        - schema:
            type: string
          required: false
          name: name__contains
          in: query
        - schema:
            type: string
          required: false
          name: name__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: name__endWith
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - corporate
                  - person
              - type: string
                description: corporate,person
          required: false
          name: type
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - corporate
                  - person
              - type: string
                description: corporate,person
          required: false
          name: type__in
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - all
                  - active
                  - inactive
                  - imported
                  - archived
              - type: string
                description: all,active
          required: false
          name: status
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - all
                  - active
                  - inactive
                  - imported
                  - archived
              - type: string
                description: all,active
          required: false
          name: status__in
          in: query
        - schema:
            type: string
          required: false
          name: currency
          in: query
        - schema:
            type: string
          required: false
          name: currency__not
          in: query
        - schema:
            type: string
          required: false
          name: currency__isNull
          in: query
        - schema:
            type: string
          required: false
          name: currency__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: currency__equals
          in: query
        - schema:
            type: string
          required: false
          name: currency__contains
          in: query
        - schema:
            type: string
          required: false
          name: currency__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: currency__endWith
          in: query
        - schema:
            type: string
          required: false
          name: country
          in: query
        - schema:
            type: string
          required: false
          name: country__not
          in: query
        - schema:
            type: string
          required: false
          name: country__isNull
          in: query
        - schema:
            type: string
          required: false
          name: country__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: country__equals
          in: query
        - schema:
            type: string
          required: false
          name: country__contains
          in: query
        - schema:
            type: string
          required: false
          name: country__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: country__endWith
          in: query
        - schema:
            type: string
          required: false
          name: external_id
          in: query
        - schema:
            type: string
          required: false
          name: external_id__not
          in: query
        - schema:
            type: string
          required: false
          name: external_id__isNull
          in: query
        - schema:
            type: string
          required: false
          name: external_id__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: external_id__equals
          in: query
        - schema:
            type: string
          required: false
          name: external_id__contains
          in: query
        - schema:
            type: string
          required: false
          name: external_id__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: external_id__endWith
          in: query
        - schema:
            type: string
          required: false
          name: billing_email
          in: query
        - schema:
            type: string
          required: false
          name: billing_email__not
          in: query
        - schema:
            type: string
          required: false
          name: billing_email__isNull
          in: query
        - schema:
            type: string
          required: false
          name: billing_email__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: billing_email__equals
          in: query
        - schema:
            type: string
          required: false
          name: billing_email__contains
          in: query
        - schema:
            type: string
          required: false
          name: billing_email__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: billing_email__endWith
          in: query
        - schema:
            type: string
          required: false
          name: search
          in: query
        - schema:
            type: string
          required: false
          name: tax_id
          in: query
        - schema:
            type: string
          required: false
          name: tax_id__not
          in: query
        - schema:
            type: string
          required: false
          name: tax_id__isNull
          in: query
        - schema:
            type: string
          required: false
          name: tax_id__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: tax_id__equals
          in: query
        - schema:
            type: string
          required: false
          name: tax_id__contains
          in: query
        - schema:
            type: string
          required: false
          name: tax_id__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: tax_id__endWith
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - active
                  - pending
                  - cancelled
                  - paused
                  - trialing
                  - errored
                  - draft
                  - none
              - type: string
                description: active,pending
          required: false
          name: subscription_status
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - active
                  - pending
                  - cancelled
                  - paused
                  - trialing
                  - errored
                  - draft
                  - none
              - type: string
                description: active,pending
          required: false
          name: subscription_status__in
          in: query
        - schema:
            type: string
          required: false
          name: invoicing_entity_id
          in: query
        - schema:
            type: string
          required: false
          name: invoicing_entity_id__not
          in: query
        - schema:
            type: string
          required: false
          name: invoicing_entity_id__isNull
          in: query
        - schema:
            type: string
          required: false
          name: invoicing_entity_id__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: invoicing_entity_id__equals
          in: query
        - schema:
            type: string
          required: false
          name: invoicing_entity_id__contains
          in: query
        - schema:
            type: string
          required: false
          name: invoicing_entity_id__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: invoicing_entity_id__endWith
          in: query
        - schema:
            type: string
          required: false
          name: segment_id
          in: query
        - schema:
            type: string
          required: false
          name: custom_properties
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - card
                  - direct_debit
                  - direct_debit_ach
                  - direct_debit_bacs
                  - transfer
                  - external
                  - missing
                  - errored
              - type: string
                description: card,direct_debit
          required: false
          name: payment_method_type
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - card
                  - direct_debit
                  - direct_debit_ach
                  - direct_debit_bacs
                  - transfer
                  - external
                  - missing
                  - errored
              - type: string
                description: card,direct_debit
          required: false
          name: payment_method_type__in
          in: query
        - schema:
            type: string
          required: false
          name: integration_entity_id
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__not
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__isNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__isNotNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__equals
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__lt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__lte
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__gt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: created_at__gte
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__not
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__isNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__isNotNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__equals
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__lt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__lte
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__gt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: updated_at__gte
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CursorPaginatedCustomer'
      security:
        - bearer: []
components:
  schemas:
    CursorPaginatedCustomer:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/Customer'
          description: List of Customer.
        next_cursor:
          type:
            - string
            - 'null'
          description: Cursor to fetch the next page. `null` when there are no more items.
          example: null
        has_more:
          type: boolean
          description: Whether more items are available after this page.
          example: false
        total:
          type: number
          description: >-
            Total number of items matching the filters. Only present when
            `include_total=true` was passed.
          example: 1
      required:
        - data
        - next_cursor
        - has_more
    Customer:
      type: object
      properties:
        id:
          type: string
          description: Customer ID.
          example: cus_Typ0px2W0aiEtl
        name:
          type: string
          description: Customer name.
          example: Acme
        type:
          type:
            - string
            - 'null'
          enum:
            - corporate
            - person
            - automatically_created
          description: >-

            Customer type.


            - `corporate`: The customer is a business entity.

            - `person`: The customer is a natural person.

            - `automatically_created`: The customer was automatically imported
            (e.g. from a data loader). This value cannot be used when
            creating/editing.
             
          example: corporate
        status:
          type: string
          enum:
            - active
            - archived
          description: Customer status.
          example: active
        currency:
          type:
            - string
            - 'null'
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: >-
            Currency code. See [ISO
            4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes).
          example: EUR
        country:
          type:
            - string
            - 'null'
          enum:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BF
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PT-20
            - PT-30
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          description: >-
            Two-letter country code in ISO format. See [ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: FR
        tax_ids:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
                description: Value of the customer tax ID.
                example: FR123456789
              status:
                type: string
                enum:
                  - valid
                  - invalid
                  - mismatch
                  - unverified
                  - unsupported
                description: >-

                  Verification status of the customer tax ID.


                  - `valid`: Tax ID has been verified and is valid.

                  - `invalid`: Tax ID has been verified and is invalid.

                  - `mismatch`: Tax ID is valid but is for a different country
                  than the customer's country.

                  - `unverified`: Tax ID has not been verified yet.

                  - `unsupported`: Tax ID verification for this type not
                  supported yet.
                   
                example: valid
            required:
              - value
              - status
          description: Customer tax IDs.
        tax_rate_custom:
          type:
            - number
            - 'null'
          minimum: 0
          maximum: 100
          description: >-
            Customer custom tax rate. If not defined, the rate will be
            automatically determined based on the customer's country, your
            country, and applicable legal requirements.
        taxability:
          type: string
          enum:
            - taxable
            - exempt
          description: |-
            Customer taxability.

            - `taxable`: Taxes are automatically determined for the customer.
            - `exempt`: The customer is exempt from tax.
             
          example: taxable
        registration_number:
          type:
            - string
            - 'null'
          description: Customer registration number.
          example: '36252187900034'
        is_government_affiliated:
          type: boolean
          description: Indicates if the customer is affiliated with a government entity.
          example: false
        language:
          type:
            - string
            - 'null'
          enum:
            - fr
            - en
            - de
            - it
            - nl
            - es
            - pt
            - pl
          description: Language used for invoices, emails, and hosted pages.
          example: fr
        timezone:
          type:
            - string
            - 'null'
          enum:
            - Pacific/Midway
            - Pacific/Pago_Pago
            - Pacific/Niue
            - Pacific/Rarotonga
            - Pacific/Honolulu
            - Pacific/Tahiti
            - Pacific/Marquesas
            - Pacific/Gambier
            - America/Adak
            - America/Anchorage
            - Pacific/Pitcairn
            - America/Hermosillo
            - America/Phoenix
            - America/Los_Angeles
            - America/Tijuana
            - America/Vancouver
            - America/Whitehorse
            - America/Belize
            - America/Guatemala
            - America/Managua
            - America/Mexico_City
            - America/Costa_Rica
            - America/El_Salvador
            - America/Regina
            - America/Tegucigalpa
            - Pacific/Easter
            - Pacific/Galapagos
            - America/Edmonton
            - America/Ciudad_Juarez
            - America/Denver
            - America/Rio_Branco
            - America/Chicago
            - America/Matamoros
            - America/Winnipeg
            - America/Bogota
            - America/Atikokan
            - America/Cancun
            - America/Cayman
            - America/Jamaica
            - America/Panama
            - America/Guayaquil
            - America/Lima
            - America/Manaus
            - America/St_Kitts
            - America/Blanc-Sablon
            - America/Montserrat
            - America/Barbados
            - America/Port_of_Spain
            - America/Martinique
            - America/St_Lucia
            - America/St_Barthelemy
            - America/St_Vincent
            - America/Kralendijk
            - America/Guadeloupe
            - America/Marigot
            - America/Aruba
            - America/Lower_Princes
            - America/Tortola
            - America/Dominica
            - America/St_Thomas
            - America/Grenada
            - America/Antigua
            - America/Puerto_Rico
            - America/Santo_Domingo
            - America/Anguilla
            - America/Curacao
            - America/La_Paz
            - America/Santiago
            - America/Havana
            - America/Nassau
            - America/New_York
            - America/Port-au-Prince
            - America/Grand_Turk
            - America/Toronto
            - America/Guyana
            - America/Caracas
            - America/Argentina/Buenos_Aires
            - America/Halifax
            - Atlantic/Bermuda
            - America/Thule
            - America/Sao_Paulo
            - Antarctica/Palmer
            - America/Punta_Arenas
            - Atlantic/Stanley
            - America/Cayenne
            - America/Asuncion
            - America/Paramaribo
            - America/Montevideo
            - America/St_Johns
            - America/Noronha
            - Atlantic/South_Georgia
            - America/Miquelon
            - Atlantic/Cape_Verde
            - America/Nuuk
            - Atlantic/Azores
            - Etc/UTC
            - Africa/Abidjan
            - Africa/Bamako
            - Africa/Bissau
            - Africa/Conakry
            - Africa/Dakar
            - America/Danmarkshavn
            - Africa/Freetown
            - Atlantic/St_Helena
            - Africa/Accra
            - Africa/Lome
            - Africa/Monrovia
            - Africa/Nouakchott
            - Africa/Ouagadougou
            - Atlantic/Reykjavik
            - Africa/Sao_Tome
            - Africa/Banjul
            - Africa/Algiers
            - Africa/Tunis
            - Europe/Isle_of_Man
            - Europe/Dublin
            - Europe/London
            - Europe/Jersey
            - Europe/Guernsey
            - Africa/Bangui
            - Africa/Malabo
            - Africa/Brazzaville
            - Africa/Porto-Novo
            - Africa/Douala
            - Africa/Kinshasa
            - Africa/Lagos
            - Africa/Libreville
            - Africa/Luanda
            - Africa/Ndjamena
            - Africa/Niamey
            - Africa/Casablanca
            - Africa/El_Aaiun
            - Atlantic/Canary
            - Europe/Lisbon
            - Atlantic/Faroe
            - Africa/Bujumbura
            - Africa/Gaborone
            - Africa/Harare
            - Africa/Juba
            - Africa/Khartoum
            - Africa/Kigali
            - Africa/Blantyre
            - Africa/Lubumbashi
            - Africa/Lusaka
            - Africa/Maputo
            - Africa/Windhoek
            - Europe/Andorra
            - Europe/Belgrade
            - Europe/Berlin
            - Europe/Bratislava
            - Europe/Brussels
            - Europe/Budapest
            - Europe/Copenhagen
            - Europe/Gibraltar
            - Europe/Ljubljana
            - Arctic/Longyearbyen
            - Europe/Luxembourg
            - Europe/Madrid
            - Europe/Monaco
            - Europe/Oslo
            - Europe/Paris
            - Europe/Podgorica
            - Europe/Prague
            - Europe/Rome
            - Europe/Amsterdam
            - Europe/San_Marino
            - Europe/Malta
            - Europe/Sarajevo
            - Europe/Skopje
            - Europe/Stockholm
            - Europe/Tirane
            - Europe/Vaduz
            - Europe/Vatican
            - Europe/Vienna
            - Europe/Warsaw
            - Europe/Zagreb
            - Europe/Zurich
            - Europe/Kaliningrad
            - Africa/Tripoli
            - Antarctica/Troll
            - Africa/Johannesburg
            - Africa/Mbabane
            - Africa/Maseru
            - Asia/Kuwait
            - Asia/Bahrain
            - Asia/Baghdad
            - Asia/Qatar
            - Asia/Riyadh
            - Asia/Aden
            - Asia/Amman
            - Asia/Damascus
            - Africa/Addis_Ababa
            - Indian/Antananarivo
            - Africa/Asmara
            - Africa/Dar_es_Salaam
            - Africa/Djibouti
            - Africa/Kampala
            - Indian/Mayotte
            - Africa/Mogadishu
            - Indian/Comoro
            - Africa/Nairobi
            - Europe/Athens
            - Asia/Beirut
            - Europe/Bucharest
            - Africa/Cairo
            - Europe/Chisinau
            - Asia/Hebron
            - Europe/Helsinki
            - Europe/Kyiv
            - Europe/Mariehamn
            - Asia/Nicosia
            - Europe/Riga
            - Europe/Sofia
            - Europe/Tallinn
            - Europe/Vilnius
            - Asia/Jerusalem
            - Europe/Minsk
            - Europe/Moscow
            - Europe/Simferopol
            - Antarctica/Syowa
            - Europe/Istanbul
            - Asia/Tehran
            - Asia/Yerevan
            - Asia/Baku
            - Asia/Tbilisi
            - Asia/Dubai
            - Asia/Muscat
            - Indian/Mauritius
            - Indian/Reunion
            - Europe/Samara
            - Indian/Mahe
            - Asia/Kabul
            - Indian/Kerguelen
            - Asia/Almaty
            - Indian/Maldives
            - Antarctica/Mawson
            - Asia/Karachi
            - Asia/Dushanbe
            - Asia/Ashgabat
            - Asia/Tashkent
            - Asia/Yekaterinburg
            - Asia/Colombo
            - Asia/Kolkata
            - Asia/Kathmandu
            - Asia/Dhaka
            - Asia/Thimphu
            - Asia/Urumqi
            - Indian/Chagos
            - Asia/Bishkek
            - Asia/Omsk
            - Indian/Cocos
            - Asia/Yangon
            - Indian/Christmas
            - Antarctica/Davis
            - Asia/Hovd
            - Asia/Bangkok
            - Asia/Ho_Chi_Minh
            - Asia/Phnom_Penh
            - Asia/Vientiane
            - Asia/Novosibirsk
            - Asia/Jakarta
            - Antarctica/Casey
            - Australia/Perth
            - Asia/Brunei
            - Asia/Makassar
            - Asia/Macau
            - Asia/Shanghai
            - Asia/Hong_Kong
            - Asia/Irkutsk
            - Asia/Kuala_Lumpur
            - Asia/Manila
            - Asia/Singapore
            - Asia/Taipei
            - Asia/Ulaanbaatar
            - Australia/Eucla
            - Asia/Jayapura
            - Asia/Tokyo
            - Asia/Pyongyang
            - Asia/Seoul
            - Pacific/Palau
            - Asia/Dili
            - Asia/Chita
            - Australia/Adelaide
            - Australia/Darwin
            - Australia/Brisbane
            - Australia/Sydney
            - Pacific/Guam
            - Pacific/Saipan
            - Pacific/Chuuk
            - Antarctica/DumontDUrville
            - Pacific/Port_Moresby
            - Asia/Vladivostok
            - Australia/Lord_Howe
            - Pacific/Bougainville
            - Pacific/Kosrae
            - Pacific/Noumea
            - Pacific/Norfolk
            - Asia/Sakhalin
            - Pacific/Guadalcanal
            - Pacific/Efate
            - Pacific/Fiji
            - Pacific/Tarawa
            - Asia/Kamchatka
            - Pacific/Majuro
            - Pacific/Nauru
            - Pacific/Auckland
            - Antarctica/McMurdo
            - Pacific/Funafuti
            - Pacific/Wake
            - Pacific/Wallis
            - Pacific/Chatham
            - Pacific/Kanton
            - Pacific/Apia
            - Pacific/Fakaofo
            - Pacific/Tongatapu
            - Pacific/Kiritimati
          description: Customer timezone.
          example: Europe/Paris
        external_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the customer in your system. This helps matching your customer
            with the one on Hyperline.
          example: null
        properties:
          type:
            - object
            - 'null'
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
                    - type: boolean
                    - type: 'null'
                    - type: 'null'
              - type: 'null'
          description: Key/value pairs to store any metadata useful in your context.
          example: null
        custom_properties:
          type:
            - object
            - 'null'
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: string
                format: date-time
                description: >-
                  UTC date time string in the [ISO
                  8601](https://en.wikipedia.org/wiki/ISO_8601) format.
                example: '2024-12-20T16:04:11Z'
              - type: array
                items:
                  type: string
              - type: 'null'
          description: >-
            A list of key value with the slug of the custom property as the key
            and the custom property value as value.
        billing_address:
          allOf:
            - $ref: '#/components/schemas/Address'
            - type: object
        shipping_address:
          type:
            - object
            - 'null'
          properties:
            name:
              type:
                - string
                - 'null'
              description: Address name.
              example: Acme
            line1:
              type:
                - string
                - 'null'
              description: Address first line.
              example: 5 rue de Paradis
            line2:
              type:
                - string
                - 'null'
              description: Address second line (optional).
              example: null
            city:
              type:
                - string
                - 'null'
              description: Address city.
              example: Paris
            zip:
              type:
                - string
                - 'null'
              description: Address ZIP code.
              example: '75010'
            state:
              type:
                - string
                - 'null'
              enum:
                - AA
                - AE
                - AK
                - AL
                - AP
                - AR
                - AS
                - AZ
                - CA
                - CO
                - CT
                - DC
                - DE
                - FL
                - GA
                - GU
                - HI
                - IA
                - ID
                - IL
                - IN
                - KS
                - KY
                - LA
                - MA
                - MD
                - ME
                - MI
                - MN
                - MO
                - MP
                - MS
                - MT
                - NC
                - ND
                - NE
                - NH
                - NJ
                - NM
                - NV
                - NY
                - OH
                - OK
                - OR
                - PA
                - PR
                - RI
                - SC
                - SD
                - TN
                - TX
                - UT
                - VA
                - VI
                - VT
                - WA
                - WI
                - WV
                - WY
              description: >-
                Only for US country. Second part of subdivision code in ISO
                format. See [ISO
                3166-2:US](https://en.wikipedia.org/wiki/ISO_3166-2:US).
              example: CA
            country:
              type:
                - string
                - 'null'
              enum:
                - AD
                - AE
                - AF
                - AG
                - AI
                - AL
                - AM
                - AO
                - AQ
                - AR
                - AS
                - AT
                - AU
                - AW
                - AX
                - AZ
                - BA
                - BB
                - BD
                - BE
                - BG
                - BH
                - BI
                - BJ
                - BL
                - BM
                - BN
                - BO
                - BQ
                - BR
                - BS
                - BT
                - BF
                - BV
                - BW
                - BY
                - BZ
                - CA
                - CC
                - CD
                - CF
                - CG
                - CH
                - CI
                - CK
                - CL
                - CM
                - CN
                - CO
                - CR
                - CU
                - CV
                - CW
                - CX
                - CY
                - CZ
                - DE
                - DJ
                - DK
                - DM
                - DO
                - DZ
                - EC
                - EE
                - EG
                - EH
                - ER
                - ES
                - ET
                - FI
                - FJ
                - FK
                - FM
                - FO
                - FR
                - GA
                - GB
                - GD
                - GE
                - GF
                - GG
                - GH
                - GI
                - GL
                - GM
                - GN
                - GP
                - GQ
                - GR
                - GS
                - GT
                - GU
                - GW
                - GY
                - HK
                - HM
                - HN
                - HR
                - HT
                - HU
                - IC
                - ID
                - IE
                - IL
                - IM
                - IN
                - IO
                - IQ
                - IR
                - IS
                - IT
                - JE
                - JM
                - JO
                - JP
                - KE
                - KG
                - KH
                - KI
                - KM
                - KN
                - KP
                - KR
                - KW
                - KY
                - KZ
                - LA
                - LB
                - LC
                - LI
                - LK
                - LR
                - LS
                - LT
                - LU
                - LV
                - LY
                - MA
                - MC
                - MD
                - ME
                - MF
                - MG
                - MH
                - MK
                - ML
                - MM
                - MN
                - MO
                - MP
                - MQ
                - MR
                - MS
                - MT
                - MU
                - MV
                - MW
                - MX
                - MY
                - MZ
                - NA
                - NC
                - NE
                - NF
                - NG
                - NI
                - NL
                - 'NO'
                - NP
                - NR
                - NU
                - NZ
                - OM
                - PA
                - PE
                - PF
                - PG
                - PH
                - PK
                - PL
                - PM
                - PN
                - PR
                - PS
                - PT
                - PT-20
                - PT-30
                - PW
                - PY
                - QA
                - RE
                - RO
                - RS
                - RU
                - RW
                - SA
                - SB
                - SC
                - SD
                - SE
                - SG
                - SH
                - SI
                - SJ
                - SK
                - SL
                - SM
                - SN
                - SO
                - SR
                - SS
                - ST
                - SV
                - SX
                - SY
                - SZ
                - TC
                - TD
                - TF
                - TG
                - TH
                - TJ
                - TK
                - TL
                - TM
                - TN
                - TO
                - TR
                - TT
                - TV
                - TW
                - TZ
                - UA
                - UG
                - UM
                - US
                - UY
                - UZ
                - VA
                - VC
                - VE
                - VG
                - VI
                - VN
                - VU
                - WF
                - WS
                - XK
                - YE
                - YT
                - ZA
                - ZM
                - ZW
              description: >-
                Two-letter country code in ISO format. See [ISO 3166-1
                alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
              example: FR
          description: Customer shipping address.
        billing_email:
          type:
            - string
            - 'null'
          format: email
          description: Email to which all communications will be sent.
          example: billing@acme.com
        invoice_emails:
          type: array
          items:
            type: string
            format: email
          description: >-
            Emails to which invoices will be sent (e.g. payer, finance team,
            accounting firm). If not defined, invoices will be sent to the
            `billing_email`; otherwise, they won't be sent to the
            `billing_email`.
          example:
            - accounting@acme.com
        invoicing_entity_id:
          type: string
          description: ID of the invoicing entity this customer will be attached to.
          example: ive_484dn4U48E
        invoice_reminders_enabled:
          anyOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          description: Indicates if invoice reminders are enabled for the customer.
        price_book_id:
          type:
            - string
            - 'null'
          description: Default price book ID assigned to the customer.
          example: prib_613_WbVIZ1329e
        available_payment_methods:
          type: array
          items:
            type: string
            enum:
              - card
              - apple_pay
              - google_pay
              - direct_debit
              - direct_debit_ach
              - direct_debit_bacs
              - stripe_link
              - transfer
              - transfer_automated
          description: >-
            List of payment methods you allow your customer to pay with. You
            customer will be able to select one of them in their portal page and
            those will be the default options when creating a checkout session.
          example:
            - card
            - direct_debit
        subscriptions:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Subscription ID.
                example: sub_0kIc7jrF7gV00V
              status:
                type: string
                enum:
                  - draft
                  - pending
                  - trialing
                  - active
                  - paused
                  - errored
                  - cancelled
                  - voided
                  - archived
                description: Status of the subscription.
                example: active
              current_period_started_at:
                type:
                  - string
                  - 'null'
                format: date
                description: >-
                  Start date of the current period. UTC date time string in the
                  [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
                example: '2024-10-12T07:00:01.860Z'
              current_period_ends_at:
                type:
                  - string
                  - 'null'
                format: date
                description: >-
                  End date of the current period. UTC date time string in the
                  [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
                example: '2024-11-12T07:00:01.860Z'
              plan_id:
                type:
                  - string
                  - 'null'
                description: Plan ID.
                example: plan_34hdd843hReh
                deprecated: true
              checkout_session_id:
                type:
                  - string
                  - 'null'
                description: Checkout session ID.
                example: che_949djdj39RJj
            required:
              - id
              - status
              - current_period_started_at
              - current_period_ends_at
              - plan_id
              - checkout_session_id
        segment_ids:
          type: array
          items:
            type: string
          description: IDs of segments this customer belongs to.
          example:
            - seg_0kIc7jrF7gV00V
        integrations:
          type: array
          items:
            type: object
            properties:
              entity_id:
                type: string
                description: ID of the entity in the provider.
              provider_name:
                type: string
                enum:
                  - adyen
                  - stripe
                  - mollie
                  - gocardless
                  - airwallex
                  - salesforce
                  - hubspot
                  - attio
                  - xero
                  - pennylane
                  - zoho-books
                  - exact-online
                  - quickbooks
                  - netsuite
                  - anrok
                  - chargebee
                  - slack
                  - plain
                  - zendesk
                  - pylon
                  - intercom
                  - claap
                description: Provider name.
              provider_account_id:
                type: string
                description: ID of the connected provider account.
            required:
              - entity_id
              - provider_name
              - provider_account_id
            description: Reference to the entity in an external provider.
            example:
              entity_id: '123456789'
              provider_name: stripe
              provider_account_id: acc_1234567890
        created_at:
          type: string
          format: date-time
          description: >-
            Customer creation date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-10-12T07:00:01.860Z'
        updated_at:
          type: string
          format: date-time
          description: >-
            Customer last edition date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-10-12T07:00:01.860Z'
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: null
        payment_terms:
          type:
            - number
            - 'null'
          description: >-
            Custom payment terms in days. If not defined, the default one
            defined on the related invoicing entity will be used.
          example: 30
        payment_initiation_delay:
          type:
            - number
            - 'null'
          description: >-
            Custom initiation delay in days before triggering payment. If not
            defined, the default one defined on the related invoicing entity
            will be used.
          example: 7
        payment_method_type:
          type:
            - string
            - 'null'
          enum:
            - card
            - apple_pay
            - google_pay
            - direct_debit
            - direct_debit_ach
            - direct_debit_bacs
            - stripe_link
            - transfer
            - transfer_automated
            - external
          description: >-
            Default payment method type used to pay subscriptions and one-off
            invoices.
          example: card
        payment_method_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the default payment method of the customer. Only applies to
            card and direct debit.
          example: pm_UTclbc1US8GzCe
      required:
        - id
        - name
        - type
        - status
        - currency
        - country
        - tax_ids
        - tax_rate_custom
        - taxability
        - registration_number
        - is_government_affiliated
        - language
        - timezone
        - external_id
        - properties
        - custom_properties
        - billing_address
        - shipping_address
        - billing_email
        - invoice_emails
        - invoicing_entity_id
        - invoice_reminders_enabled
        - price_book_id
        - available_payment_methods
        - subscriptions
        - segment_ids
        - integrations
        - created_at
        - updated_at
        - deleted_at
        - payment_terms
        - payment_initiation_delay
        - payment_method_type
        - payment_method_id
    Address:
      type:
        - object
        - 'null'
      properties:
        name:
          type:
            - string
            - 'null'
          description: Address name.
          example: Acme
        line1:
          type:
            - string
            - 'null'
          description: Address first line.
          example: 5 rue de Paradis
        line2:
          type:
            - string
            - 'null'
          description: Address second line (optional).
          example: null
        city:
          type:
            - string
            - 'null'
          description: Address city.
          example: Paris
        zip:
          type:
            - string
            - 'null'
          description: Address ZIP code.
          example: '75010'
        state:
          type:
            - string
            - 'null'
          enum:
            - AA
            - AE
            - AK
            - AL
            - AP
            - AR
            - AS
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - GU
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MI
            - MN
            - MO
            - MP
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - PR
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VI
            - VT
            - WA
            - WI
            - WV
            - WY
          description: >-
            Only for US country. Second part of subdivision code in ISO format.
            See [ISO 3166-2:US](https://en.wikipedia.org/wiki/ISO_3166-2:US).
          example: CA
        country:
          type:
            - string
            - 'null'
          enum:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BF
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PT-20
            - PT-30
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          description: >-
            Two-letter country code in ISO format. See [ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: FR
      description: Customer billing address.
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````